Changeset 1860


Ignore:
Timestamp:
Dec 20, 2008, 1:58:21 AM (15 years ago)
Author:
price
Message:

invirt-build-release: clean up some shell and perl

Also wait to parse the .dsc file until we've made it.

Location:
trunk/packages/invirt-dev
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/packages/invirt-dev/debian/changelog

    r1859 r1860  
    33  * add i386 to apt repo
    44  * extend invirt-build-release to handle amd64 + i386
     5  * invirt-build-release: clean up some shell and some perl
    56
    67 -- Greg Price <price@mit.edu>  Fri, 19 Dec 2008 23:37:02 -0500
  • trunk/packages/invirt-dev/invirt-build-release

    r1859 r1860  
    1313    cd build-release/$package
    1414   
    15     eval  `perl '-F:\s+' -lane 'print  $F[0]."=".$F[1] if /^Version|^Source|^Distribution/' \
    16         <(dpkg-parsechangelog)`
    17     eval $(perl '-F:\s+' -lane 'print $F[0]."=".$F[1] if /^Binary|Architecture/' <"../${Source}_${Version}.dsc")
    18 
     15    eval $(perl -ne 'print if s/^(Version|Source|Distribution): /\1=/' \
     16             <(dpkg-parsechangelog))
    1917    dpkg-buildpackage -us -uc -rfakeroot -S
    2018    cd ..
     19    eval $(perl -ne 'print if s/^(Architecture): /\1=/' ${Source}_${Version}.dsc)
    2120    case $Architecture in
    2221      all)
    23         sbuild -A -d hardy "${Source}_${Version}.dsc";;
     22        sbuild -A -d hardy ${Source}_${Version}.dsc;;
    2423      any)
    25         sbuild -d hardy-amd64 "${Source}_${Version}.dsc"
    26         sbuild -d hardy-i386  "${Source}_${Version}.dsc";;
     24        sbuild -d hardy-amd64 ${Source}_${Version}.dsc
     25        sbuild -d hardy-i386  ${Source}_${Version}.dsc;;
    2726      *)
    28         echo "invirt-build-release: architecture '$Architecture' not 'all' or 'any'" >&2
     27        echo "invirt-build-release: arch '$Architecture' unimplemented" >&2
    2928        exit 1
    3029    esac
     
    4241   
    4342    [ $Distribution = 'unstable' ] \
    44         || echo "$(basename $0): warning: Distribution is ${Distribution}, script expects unstable"
     43        || echo "$(basename $0): warning: Distribution is $Distribution, script expects unstable"
    4544    changesfile=`pwd`/${Source}_*${Version}*.changes
    4645    for i in $changesfile; do
    4746        reprepro-env include unstable $i
    48         reprepro-env copy stable unstable \
    49             $(perl '-F:\s+' -lane 'print $F[1]." " if /^Binary/' <$i)
     47        reprepro-env copy stable unstable $(sed -ne 's/^Binary: //p' $i)
    5048    done
    51     reprepro-env copy stable unstable ${Source}
     49    reprepro-env copy stable unstable $Source
    5250   
    5351    cd ..
    54     rm -rf build-release
     52    rm -rf build-release/$package
    5553done
Note: See TracChangeset for help on using the changeset viewer.